org.apache.ignite.internal.visor.persistence

## Class PersistenceTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<PersistenceTaskArg,PersistenceTaskResult>
    - - org.apache.ignite.internal.visor.persistence.PersistenceTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<PersistenceTaskArg>,PersistenceTaskResult>

    @GridInternal
     @GridVisorManagementTask
    public class PersistenceTask
    extends VisorOneNodeTask<PersistenceTaskArg,PersistenceTaskResult>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`PersistenceTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<PersistenceTaskArg,PersistenceTaskResult>` `job(PersistenceTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PersistenceTask

    public PersistenceTask()

### Method Detail

#### job

    protected VisorJob<PersistenceTaskArg,PersistenceTaskResult> job(PersistenceTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<PersistenceTaskArg,PersistenceTaskResult,PersistenceTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021